Page MenuHomePhabricator

tests/elm: use custom tick source for animator events
ClosedPublic

Authored by zmike on Aug 6 2018, 11:49 AM.

Details

Summary

ensure that animator ticks are occurring at the same time as render
dumping in order to further speed up tests
Depends on D6765

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Aug 6 2018, 11:49 AM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

ManMower accepted this revision.Aug 14 2018, 2:04 PM
ManMower added a subscriber: ManMower.

That's pretty clever. Looks like it should shave a fair bit of time.

This revision is now accepted and ready to land.Aug 14 2018, 2:04 PM

Okay, this is accepted but not landed. I am just yolo'ing it in. On @ManMowers resposibility :)

Closed by commit rEFL8537ad4282f3: tests/elm: use custom tick source for animator events (authored by zmike, committed by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhySep 13 2018, 12:56 AM
This revision was automatically updated to reflect the committed changes.